## org.apache.http.conn
Class HttpHostConnectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.net.SocketException
                      java.net.ConnectException
                          org.apache.http.conn.HttpHostConnectException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class HttpHostConnectException

extends ConnectException

A `ConnectException` that specifies the `HttpHost` that was being connected to.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`HttpHostConnectException(HttpHost host, ConnectException cause)`

Method Summary
`HttpHost` `getHost()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpHostConnectException

    public HttpHostConnectException(HttpHost host,
                                    ConnectException cause)

Method Detail

### getHost

    public HttpHost getHost()

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.